{% include 'admin-layout.html' %}
{% from 'bootstrap/form.html' import render_form, render_field, render_form_row %}
{% block content %}


<div class="container-fluid">
    <div class="col-lg-6 mb-4">

              <!-- Approach -->
          <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">Classify Trading News</h6>
            </div>
            <div class="card-body">
                <p class="font-weight-bold">Here are some example trading news:</p>
                <style>
                  ul {
                      list-style-type: disc;
                  }
                  .bullet-item {
                      list-style: none;
                  }
                  .content {
                      display: none;
                  }
                  .view-toggle {
                      cursor: pointer;
                      color: blue;
                      text-decoration: underline;
                  }
                </style>
                <ul>
                  <li class="bullet-item">
                    Text Sample 1 ->
                    <span class="view-toggle" onclick="toggleVisibility(1)">Show</span>
                    <div class="content" id="content-1">? the st lawrence seaway set to reopen march 31 after the winter faces another tough year because of depressed traffic levels and the possibility of the first strike in 20 years on the great lakes seaway officials said depressed grain exports rising costs and competing ? of transportation are all expected to result in only a marginal increase over last year's traffic levels and revenues on the 2 300 mile waterway officials said in 1986 a season that ran from april 3 to december 27 the seaway moved 37 6 mln metric tons of freight between montreal and lake ontario and 41 6 mln tons on the welland canal linking lake erie and lake ontario by comparison in 1985 about 37 mln tons of cargo ? through the montreal lake ontario section and 42 mln through the eight lock canal the waterway is expected to lose 9 10 mln canadian dlrs this year about the same as the estimated deficit for fiscal 1986 87 ending march 31 said william blair an executive member of canada's st lawrence seaway authority the seaway moves about one half of canada's exported grain those exports of the single most important commodity carried on the waterway have been depressed by world surpluses the ? international union which represents about 2 300 workers on the great lakes and the ocean coasts has said it will likely go on strike this spring to protest employers' demands for wage ? and other concessions it's 99 9 pct certain i guarantee you a strike ? ? head of the ? canadian branch has said the canadian government has called in a labor ? to try to hammer out a contract agreement between the two sides the seaway authority said a ? ? up ships on the great lakes would badly hurt traffic we haven't had a strike on the seaway for years a prolonged strike would have a ? effect seaway authority spokeswoman ? ? said these are the heaviest contract talks in the history of the st lawrence seaway george miller vice president of the canadian lake carriers association an association of major canadian shipping companies said recently the workers' current contract expires may 31 the association said it is asking for a five per cent cut in wages for the next three years reduced crew levels and the power to restructure crew ? the association said its members recorded about a 6 mln dlrs u s loss in each of 1985 and 1986 due to lower traffic and freight rates and increasing competition the seaway said 1985 was its worst year in two decades ? said the seaway authority plans to raise ? on the welland canal by eight pct this year compared to last year's 15 pct rise while maintaining a freeze on ? throughout the rest of the waterway canada is responsible for 13 of the ? 15 ? and about 85 pct of its revenues and maintenance costs we may see and hope for a steady upward climb but we won't see a major increase for a number of years ? said a canada u s delegation to promote the seaway to shippers in western europe should result in some increased traffic this season but the full benefits won't be felt for several years blair said reuter 3</div>
                  </li>
                  <li class="bullet-item">
                    Text Sample 2 ->
                    <span class="view-toggle" onclick="toggleVisibility(2)">Show</span>
                    <div class="content" id="content-2">? standard federal bank said it introduced a zero point fixed rate mortgage loan the loan program offers borrowers home mortgage financing with no discount fees charged standard said that fees charged will include an application fee commitment fee and out of ? expenses such as title work survey recording fees and private mortgage insurance reuter 3</div>
                  </li>
                  <li class="bullet-item">
                    Text Sample 3 ->
                    <span class="view-toggle" onclick="toggleVisibility(3)">Show</span>
                    <div class="content" id="content-3">? the reagan administration wants to encourage expanded trade with the soviet union but does not believe moscow yet warrants most favored nation treatment deputy secretary of state john ? said it seems to me that more trade between us is better than less trade he told a forum on u s soviet trade relations to that end the administration in january allowed foreign policy controls on the export of oil and gas equipment to the soviet union to lapse he said also washington and its allies are reviewing remaining export controls in hopes of ? the list of prohibited items and speeding up the licensing process he said ? said however the ? treatment that comes with most favored nation status is out for the moment u s law ? most favored nation status for countries that restrict ? and other rights what we have seen so far in improved rights under soviet leader mikhail gorbachev are promising trends he said but he added we don't know if they will continue we don't know how significant they will be reuter 3</div>
                  </li>
                </ul>
                {{ render_form(example_form) }}
                <script>
                  function toggleVisibility(id) {
                      var content = document.getElementById('content-' + id);
                      if (content.style.display === 'none') {
                          content.style.display = 'block';
                          document.getElementById('view-toggle-' + id).textContent = 'Hide';
                      } else {
                          content.style.display = 'none';
                          document.getElementById('view-toggle-' + id).textContent = 'Show';
                      }
                  }
              </script>
            </div>
          </div>

          <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">Classify Result</h6>
            </div>
            <div class="card-body">
                <p> Category Text: {{ result.category_text }}</p>
                <p> Category Code: {{ result.category_code }}</p>
            </div>
          </div>

          <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">List of the category text and code</h6>
            </div>
            <div class="card-body">
              <table>
                  <tr>
                      <th>Text</th>
                      <th>Code</th>
                  </tr>
                      {% for key, value in list_labels.items() %}
                          <tr>
                              <td>{{ key }}</td>
                              <td>{{ value }}</td>
                          </tr>
                      {% endfor %}
              </table>
            </div>
        </div>

        </div>
    </div>
</div>

{% endblock %}
  <!-- Bootstrap core JavaScript-->
  <script src="static/vendor/jquery/jquery.min.js"></script>
  <script src="static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="static/vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="static/js/sb-admin-2.min.js"></script>

</body>

</html>

